# Workspaces NGINX config

server {
    listen       80;
    server_name  shipman.aoc.nrao.edu;

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        try_files $uri $uri/ /index.html;
    }

    location ^/capability/(.*) {
        proxy_redirect off;
        proxy_pass http://shipman.aoc.nrao.edu:3457;
        proxy_set_header Origin http://shipman.aoc.nrao.edu:4444;
        proxy_hide_header Access-Control-Allow-Origin;
        add_header Access-Control-Allow-Origin *;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }
}